# ghost.py
# --------
# By MWC Contributors
# 
# This is a Python program. You can run it by typing `python ghost.py`

import sys
from pathlib import Path
sys.path.append('../../../..')
from fancy_printing import print_fancy

GHOST_GIVES_KEY = [
    "You enter the cramped galley and notice a sad, lonely ghost wandering around. You always wondered if you would be afraid of ghosts, but somehow this feels completely normal. The ghost begins to speak.",
    "'It has been a long while since I have seen anybody down here,' she says. 'I would like to give you a gift. Here's a key.'"
]
GHOST_IS_BORED = [
    "The ghost glances over at you. 'I hope you find some use for that key.'"
]
KEY = "    Even in the faint light of your lamp, the key has a golden gleam.\n\n"

if Path("key.txt").exists():
    print_fancy(GHOST_IS_BORED)
else:
    print_fancy(GHOST_GIVES_KEY)
    Path("key.txt").write_text(KEY)
